Index: console/src/resources/webconsole.war/AOPIntroductionPointcut.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPIntroductionPointcut.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPIntroductionPointcut.jsp	(working copy)
@@ -11,14 +11,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -32,12 +31,12 @@
 	<center> <h4 style="text-align: center"><%=name%></h4>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Introduction Pointcut</h3>
+			<h3>${messages["Introduction Pointcut"]}</h3>
 	    <p>&nbsp;</p>
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <p align="left"><font size="1"><b>Class Expression: </b><%=introduction.getClassExpr()%></font></p>
+                    <p align="left"><font size="1"><b>${messages["Class Expression: "]}</b><%=introduction.getClassExpr()%></font></p>
                     </td>
                   </tr>
 <%
@@ -49,13 +48,13 @@
 %>
                   <tr>
                     <td>
-                    <p align="left"><h4>Mixin Class</h4></p>
+                    <p align="left"><h4>${messages["Mixin Class"]}</h4></p>
                     <p align="left"><font size="1"><%=mixin.getClassName()%></font></p>
-                    <p align="left"><h4>Mixin Initializer</h4></p>
+                    <p align="left"><h4>${messages["Mixin Initializer"]}</h4></p>
                     <p align="left"><font size="1"><%=initializer%></font></p>
                     </td>
                     <td>
-                    <p align="left"><h4>Interfaces</h4></p>
+                    <p align="left"><h4>${messages["Interfaces"]}</h4></p>
 <%           
 	  for (int j = 0; j < interfaces.length; j++) {
 %>
@@ -70,7 +69,7 @@
 %>
                   <tr>
                     <td colspan="2">
-                    <p align="left"><h4>Other Interfaces</h4></p>
+                    <p align="left"><h4>${messages["Other Interfaces"]}</h4></p>
 <%           
 	  for (int j = 0; j < interfaces.length; j++) {
 %>
@@ -83,7 +82,7 @@
             </table>
 					<p>&nbsp;</p>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -97,7 +96,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss™ Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/StatefulEjb.jsp
===================================================================
--- console/src/resources/webconsole.war/StatefulEjb.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/StatefulEjb.jsp	(working copy)
@@ -1,3 +1,4 @@
+<%@page import="org.jboss.console.I18n"%>
 <%@ taglib uri="/webconsole" prefix="jb" %>
 <jb:mbean id="ejb" intf="org.jboss.management.j2ee.StatefulSessionBeanMBean" />
 <jb:mbean id="container" mbean='<%="jboss.j2ee:service=EJB,jndiName=" + (new javax.management.ObjectName(request.getParameter("ObjectName")).getKeyProperty ("name"))%>' intf="org.jboss.ejb.ContainerMBean" />
@@ -33,22 +34,22 @@
 	String start = new java.util.Date(stat.getStartTime ()).toString ();
 	String lastSample = new java.util.Date(stat.getLastSampleTime ()).toString ();
 	
-	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " (unit: " + stat.getUnit () + ")</font></td>" +
-	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>";
+	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " ("+I18n.gettext("unit: ") + stat.getUnit () + ")</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+	                "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>"; //$NON-NLS-1$
 	                
 	if (stat instanceof javax.management.j2ee.statistics.CountStatistic)
 	{
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>";
-    }
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>"; //$NON-NLS-1$ //$NON-NLS-2$
+   }
 	else if (stat instanceof javax.management.j2ee.statistics.RangeStatistic)
 	{
 		javax.management.j2ee.statistics.RangeStatistic rStat = (javax.management.j2ee.statistics.RangeStatistic)stat;
 		
-		result+= "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" +
-				 "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>";
+		result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				    "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
-	result+= "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>";
+	result += "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	
 	return result;
 
@@ -58,13 +59,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Stateful Session Bean</title>
+<title>${messages["JBoss Management Console - Stateful Session Bean"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -74,12 +75,12 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 831; height: 247">
-			<h3>Stateful Session Bean</h3>
-				<h4>Name</h4>
-					<p><%=beanMetaData.getEjbName()%> (JNDI: <%=ejbName%>)</p>
-				<h4>EJB Module</h4>
+			<h3>${messages["Stateful Session Bean"]}</h3>
+				<h4>${messages["Name"]}</h4>
+					<p><%=beanMetaData.getEjbName()%> (${messages["JNDI: "]}<%=ejbName%>)</p>
+				<h4>${messages["EJB Module"]}</h4>
 					<p><%=ejbModule %></p>
-				<h4>Bean Statistics:</h4>
+				<h4>${messages["Bean Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 if (ejb.isstatisticsProvider())
@@ -88,29 +89,29 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Name</h4>
+                    <h4 style="text-align: center">${messages["Name"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Value</h4>
+                    <h4 style="text-align: center">${messages["Value"]}</h4>
                     <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber3">
                       <tr>
                         <td width="33%">
-                        <h4 style="text-align: center">Current</h4>
+                        <h4 style="text-align: center">${messages["Current"]}</h4>
                         </td>
                         <td width="33%">
-                        <h4 style="text-align: center">Low</h4>
+                        <h4 style="text-align: center">${messages["Low"]}</h4>
                         </td>
                         <td width="34%">
-                        <h4 style="text-align: center">High</h4>
+                        <h4 style="text-align: center">${messages["High"]}</h4>
                         </td>
                       </tr>
                     </table>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Start Time</h4>
+                    <h4 style="text-align: center">${messages["Start Time"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Last Sample Time</h4>
+                    <h4 style="text-align: center">${messages["Last Sample Time"]}</h4>
                     </td>
                   </tr>
 	<%
@@ -122,19 +123,19 @@
 	<%=addStatRow (stats.getPassiveCount ()) %>
 
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 }
 else
 {
 %>				
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 }
 %>				
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-				<h4>Invocation Statistics:</h4>
+				<h4>${messages["Invocation Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 	java.util.Iterator iterInvoc = invokeStats.getStats().entrySet().iterator();
@@ -146,22 +147,22 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td  align="center">
-                    <h4 style="text-align: center">Method name</h4>
+                    <h4 style="text-align: center">${messages["Method name"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Min (ms)</h4>
+                    <h4 style="text-align: center">${messages["Min (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Max (ms)</h4>
+                    <h4 style="text-align: center">${messages["Max (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Average (ms)</h4>
+                    <h4 style="text-align: center">${messages["Average (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Total (ms)</h4>
+                    <h4 style="text-align: center">${messages["Total (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center"># Invocations</h4>
+                    <h4 style="text-align: center">${messages["# Invocations"]}</h4>
                     </td>
                   </tr>
 				<%
@@ -195,23 +196,23 @@
                   }
                   %>
             </table>
-            <p align="center"><a href="<%=resetInvocUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetInvocUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 	}
 	else
 	{
 %>	 
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 	}
 %>
 
 					<p>&nbsp;</p>
-               <p>Actual concurrent invocations: <%=invokeStats.concurrentCalls%> (max: <%=invokeStats.maxConcurrentCalls%>)</p>
+               <p>${messages["Actual concurrent invocations: "]}<%=invokeStats.concurrentCalls%> (${messages["max: "]}<%=invokeStats.maxConcurrentCalls%>)</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-					<p><a href="<%=containerUrl%>">View associated container MBean</a></p>
+					<p><a href="<%=containerUrl%>">${messages["View associated container MBean"]}</a></p>
 		</div>
 		<div class="spacer"><hr/></div>
 	</div>
@@ -221,7 +222,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPBinding.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPBinding.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPBinding.jsp	(working copy)
@@ -11,14 +11,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -33,15 +32,15 @@
    <h4 style="text-align: center"><%=name%></h4>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Advice Binding</h3>
+			<h3>${messages["Advice Binding"]}</h3>
 	    <p>&nbsp;</p>
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <p align="left"><font size="1"><b>Pointcut Expression: </b><%=binding.getPointcut().getExpr()%></font></p>
+                    <p align="left"><font size="1"><b>${messages["Pointcut Expression: "]}</b><%=binding.getPointcut().getExpr()%></font></p>
                     <% if (binding.getCFlowString() != null) {
                     %>
-                    <p align="left"><font size="1"><b>CFlow Expression: </b><%=binding.getCFlowString()%></font></p>
+                    <p align="left"><font size="1"><b>${messages["CFlow Expression: "]}</b><%=binding.getCFlowString()%></font></p>
                     <% } %>
                     </td>
                   </tr>
@@ -49,7 +48,7 @@
             </table>
 					<p>&nbsp;</p>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -63,7 +62,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss™ Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPConstructorMethodCallerChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPConstructorMethodCallerChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPConstructorMethodCallerChain.jsp	(working copy)
@@ -13,14 +13,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -48,16 +47,16 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Constructor Caller: <%=AOPLister.shortenConstructor(classname, constructor)%></font></h4>
-                    <h4 style="text-align: center"><font size="3">Called Method: <%=info.method.toString()%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Constructor Caller: "]}<%=AOPLister.shortenConstructor(classname, constructor)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Called Method: "]}<%=info.getMethod().toString()%></font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -69,7 +68,7 @@
 <% } %>
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -83,7 +82,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/manageThresholdMonitor.jsp
===================================================================
--- console/src/resources/webconsole.war/manageThresholdMonitor.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/manageThresholdMonitor.jsp	(working copy)
@@ -47,13 +47,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Manage Monitor</title>
+<title>${messages["JBoss Management Console - Manage Monitor"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -63,7 +63,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3><font color="<%=color%>">Manage Threshold MBean Monitor</font></h3>
+			<h3><font color="<%=color%>">${messages["Manage Threshold MBean Monitor"]}</font></h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -77,67 +77,67 @@
 <input type="hidden" name="monitorObjectName" value="<%=moname.toString()%>">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>" readonly></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Monitor's Object Name</b></td>
+    <td><b>${messages["Monitor\'s Object Name"]}</b></td>
     <td><input type="text" name="monitorObjectName" size="35" value="<%=monitorObjectName%>" readonly></td>
-    <td><i>The MBean javax.management.ObjectName</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=observedObject.toString()%>" size="35" readonly></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35" readonly></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <%
    if (alerted)
    {
 %>
 <tr>
-    <td><font color="red"><b>Triggered Value</b></font></td>
+    <td><font color="red"><b>${messages["Triggered Value"]}</b></font></td>
     <td><input type="text" name="trigger" value="<%=triggeredValue.toString()%>" size="35" readonly></td>
-    <td><i>The attribute value the triggered the threshold.</i></td>
+    <td><i>${messages["The attribute value the triggered the threshold."]}</i></td>
 </tr>
 <% } %>
 <tr>
-    <td><b>Threshold</b></td>
+    <td><b>${messages["Threshold"]}</b></td>
     <td><input type="text" name="threshold" size="35" value="<%=threshold%>"></td>
-    <td><i>The value that will trigger an alert when the Comparison Equation is reached for the attribute value</i></td>
+    <td><i>${messages["The value that will trigger an alert when the Comparison Equation is reached for the attribute value"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>"></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 <tr>
-    <td><b>Comparison Equation</b></td>
+    <td><b>${messages["Comparison Equation"]}</b></td>
     <td><select name="compare" id="compare" size="1">
         <option value="gt" <%=compare == -1  ? "SELECTED" : ""%>>&gt;</option>
         <option value="lt" <%=compare == 1 ? "SELECTED" : ""%>>&lt;</option>
         <option value="eq" <%=compare == 0 ? "SELECTED" : ""%>>=</option>
         </select>
     </td>
-    <td><i>Boolean expression to use when testing threshold hit.</i></td>
+    <td><i>${messages["Boolean expression to use when testing threshold hit."]}</i></td>
 </tr>
 <tr>
-    <td><b>Persist Changes</b></td>
+    <td><b>${messages["Persist Changes"]}</b></td>
     <td><input type="checkbox" name="persisted" value="" checked></td>
-    <td><i>Should changes be reflected in deployment file.</i></td>
+    <td><i>${messages["Should changes be reflected in deployment file."]}</i></td>
 </tr>
 <tr>
-    <td><b>Enable Monitor</b></td>
+    <td><b>${messages["Enable Monitor"]}</b></td>
     <td><input type="checkbox" name="enabled" value="" <%=enabled ? "checked" : ""%>></td>
-    <td><i>Should this monitor be enabled.</i></td>
+    <td><i>${messages["Should this monitor be enabled."]}</i></td>
 </tr>
 <tr>
-    <td><b>Alerts</b></td>
+    <td><b>${messages["Alerts"]}</b></td>
     <td>
 <%
    InstanceOfQueryExp queryExp = null;
@@ -165,16 +165,16 @@
 </select>
 
     </td>
-    <td><i>Alert Listeners to trigger.</i></td>
+    <td><i>${messages["Alert Listeners to trigger."]}</i></td>
 </tr>
 </table>
-<input type="submit" name="action" value="Update Monitor">
-<input type="submit" name="action" value="Remove Monitor">
+<input type="submit" name="action" value="${messages['Update Monitor']}">
+<input type="submit" name="action" value="${messages['Remove Monitor']}">
 <%
    if (alerted)
    {
 %>
-<input type="submit" name="action" value="Clear Alert">
+<input type="submit" name="action" value="${messages['Clear Alert']}">
 <%
    }
 %>
@@ -183,7 +183,7 @@
 }
 catch (Exception ex)
 {
-   %> ERROR in parsing <%
+   %> ${messages["ERROR in parsing"]} <%
    ex.printStackTrace();
 }
 %>
@@ -196,7 +196,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/JNDIView.jsp
===================================================================
--- console/src/resources/webconsole.war/JNDIView.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/JNDIView.jsp	(working copy)
@@ -3,14 +3,14 @@
 
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - JNDI View</title>
+<title>${messages["JBoss Management Console - JNDI View"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <link rel="StyleSheet" href="css/dtree.css" type="text/css" />
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 
 		&nbsp;</div>
@@ -18,7 +18,7 @@
 	</div>
 <!-- header end -->
 <hr class="hide"/>
-			<h3>JNDI View</h3>
+			<h3>${messages["JNDI View"]}</h3>
 			<p>&nbsp;</p>
 
          <%=org.jboss.console.util.XMLToHTMLTreeBuilder.convertJNDIXML(jndiview.listXML())%>
@@ -30,7 +30,7 @@
 <!-- footer begin -->
 	<div id="footer">
 
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPMetaData.jsp	(working copy)
@@ -10,16 +10,16 @@
                   </tr>
                   <tr>
                     <td>
-                    <h4>Attribute Name</h4>
+                    <h4>${messages["Attribute Name"]}</h4>
                     </td>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Value (as String)</h4>
+                    <h4>${messages["Value (as String)"]}</h4>
                     </td>
                     <td>
-                    <h4>Serialization</h4>
+                    <h4>${messages["Serialization"]}</h4>
                     </td>
                   </tr>
 <%
@@ -49,7 +49,7 @@
     {
 %>    
                   <tr>
-                     <td colspan="4">empty</td>
+                     <td colspan="4">${messages["empty"]}</td>
                   </tr>
 <%  }
     
@@ -57,7 +57,7 @@
 	
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -71,7 +71,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss™ Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
